Summary:        A console oriented tool for Linux to access a FireWire bus
Name:           firecontrol
Version:        0.2
Release:        2%{?dist}
License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://firecontrol.sourceforge.net/
Source:         http://dl.sf.net/firecontrol/firecontrol-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libraw1394-devel

%description
FireControl, the IEEE 1394 Commander, is a console oriented tool for Linux
to access an IEEE 1394 (FireWire) bus. It can issue asynchronous read, write
and lock requests to some nodes on the bus, force bus resets, and send PHY
packets. Furthermore, it provides bus reset notifications. The main advantage
of this tool over other available tools (like gscanbus) is (besides not
requiring a graphical interface) that it reports the exact acknowledge and
response codes and, therefore, is very useful for debugging purposes.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING NEWS
%{_bindir}/firecontrol

%changelog
* Thu Apr 03 2008 Jarod Wilson <jwilson@redhat.com> - 0.2-2
- Fix license, is GPLv2+, not GPLv2-only, per commander.c

* Wed Apr 02 2008 Jarod Wilson <jwilson@redhat.com> - 0.2-1
- Initial build
